<p-panel header="Report Hasil Produksi" [toggleable]="false">
    <div *ngIf="!isview">
        <div style="width: 100%; height: 100%;">
            <div class="ui-g">
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <label>Periode</label>
                        <div>
                            <select class="form-control" id="bulan" name="selectBulan" [(ngModel)]="selectBulan">
                                <option value="">Pilih Periode</option>
                                <option *ngFor="let bulan of bulans" [value]="bulan.value">{{bulan.label}}</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <label>Tahun</label>
                        <div>
                            <p-dropdown [options]="tahun1" [(ngModel)]="selectTahun" id="field_PIC" [style]="{'width':'100%'}">
                            </p-dropdown>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <label>Mesin</label>
                        <div>
                            <select class="form-control" id="mesin" name="selectMesin" [(ngModel)]="selectMesin">
                                <option value="all">Semua Mesin</option>
                                <option *ngFor="let bulan of mesin" [value]="bulan.value">{{bulan.label}}</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <button type="button" class="btn btn-primary btn-block" (click)="print()">
                            <span class="fa fa-print"></span>&nbsp;Print
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div *ngIf="isview">
        <div>
            <button pButton type="submit" label="Download File" icon="fa-print"
                class="ui-button-primary flat-label-button" (click)="printReport()">
            </button>
            <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
            </button>
        </div>
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"
                [autoresize]="true" [fit-to-page]="false"></pdf-viewer>
        </div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-dialog header="Pilih Cetakan" [(visible)]="modalPilihCeteakn" modal="true" [width]="400">
    <form name="Pilih" role="form" novalidate #editForm="ngForm">
        <div>
            <button pButton label="Excel" icon="fa-save" class="ui-button-primary flat-label-button"
                (click)="printExcel()">
            </button>
            <button pButton label="PDF" icon="fa-save" class="ui-button-primary flat-label-button" (click)="printPDF()">
            </button>
        </div>
    </form>
</p-dialog>